Loading...
Searching...
No Matches
casacore::SDSpWindowHandler Class Reference
msfits package (libcasa_msfits) » MSFits_module » MSFits_module_internal_classes

More...

`#include <SDSpWinHandler.h>`

## Public Member Functions

| SDSpWindowHandler ()
| default ctor is not attached to a MS and hence is useless until attached
| SDSpWindowHandler (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| attach this to a MS, marking fields in row which are explicitly handled here
| SDSpWindowHandler (const SDSpWindowHandler &other)
| copy ctor
| ~SDSpWindowHandler ()
SDSpWindowHandler & | operator= (const SDSpWindowHandler &other)
| assignment operator, uses copy semantics
void | attach (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| attach to a MS, the handledCols and row arguments are ignored here
void | resetRow (const Record &)
| reset internals given indicated row, use the same MS; just resets the id pointer
void | fill (const Record &row, const Vector< Double > &frequency, Double refFrequency, Double originalFreqDelt, Int freqRefType)
| fill - a circular buffer of last 100 spectral windows is checked
Int | spWindowId ()
| get the current spWindow ID

## Private Member Functions

void | clearAll ()
| cleanup everything
void | clearRow ()
| clean up items related to the row
void | initAll (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| initialize everything
void | initRow (Vector< Bool > &handledCols, const Record &row)
| initialize the stuff dependent on the row

## Private Attributes

RecordFieldPtr< Int > | nchanKey_p
RecordFieldPtr< Int > | freqRefTypeKey_p
RecordFieldPtr< Int > | ifConvChainKey_p
RecordFieldPtr< Int > | freqGroupKey_p
RecordFieldPtr< Int > | netSidebandKey_p
Vector< Double > | fNCache_p
Vector< Double > | f0Cache_p
Vector< Double > | bwCache_p
Double * | fNCachePtr_p
Double * | f0CachePtr_p
Double * | bwCachePtr_p
Bool | deleteItFN_p
Bool | deleteItF0_p
Bool | deleteItBw_p
RecordFieldPtr< Bool > | flagRowKey_p
ColumnsIndex * | index_p
| the cache table is the one that is indexed
Table * | theCache_p
| temporary table to hold the fields we are indexing on, can't index on array column
MSSpectralWindow * | msSpWin_p
MSSpWindowColumns * | msSpWinCols_p
TableColumn | idCol_p
| the columns in the cache table
TableColumn | nchanCol_p
TableColumn | freqRefTypeCol_p
TableColumn | freqresCol_p
TableColumn | ifConvChainCol_p
TableColumn | freqGroupCol_p
TableColumn | netSidebandCol_p
TableColumn | flagRowCol_p
uInt | nextCacheRow_p
| the next row number to use in the cached
uInt | cacheSize_p
| the maximum number of rows in the cache - currently this is 1000
Int | rownr_p
| the current row number in the SPECTRAL_WINDOW table, i.e.
Int | bandwidField_p
| fields possibly mined from the SDFITS row floating point fields that we can't be certain of their type
Int | freqresField_p
RORecordFieldPtr< Int > | spWinIdField_p
| fields from a previous life as a MS
RORecordFieldPtr< Int > | ifConvChainField_p
RORecordFieldPtr< Int > | freqGroupField_p
RORecordFieldPtr< Int > | netSidebandField_p
RORecordFieldPtr< Bool > | flagRowField_p

## Detailed Description

### Intended use:

Internal or

### Intended use:

Internal

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- SomeClass
- SomeOtherClass
- some concept

### Etymology

### Synopsis

### Example

### Motivation

### Template Type Argument Requirements (T)

### Thrown Exceptions

### To Do

- add this feature
- fix this bug
- start discussion of this possible extension

Definition at line 86 of file SDSpWinHandler.h.

## Constructor & Destructor Documentation

## SDSpWindowHandler() [1/3]

casacore::SDSpWindowHandler::SDSpWindowHandler | ( |  | ) |

default ctor is not attached to a MS and hence is useless until attached

Referenced by operator=(), and SDSpWindowHandler().

## SDSpWindowHandler() [2/3]

casacore::SDSpWindowHandler::SDSpWindowHandler | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

attach this to a MS, marking fields in row which are explicitly handled here

References casacore::Record().

## SDSpWindowHandler() [3/3]

casacore::SDSpWindowHandler::SDSpWindowHandler | ( | const SDSpWindowHandler & | other | ) |

copy ctor

References SDSpWindowHandler().

## ~SDSpWindowHandler()

casacore::SDSpWindowHandler::~SDSpWindowHandler | ( |  | ) |

inline

Definition at line 98 of file SDSpWinHandler.h.

References clearAll().

## Member Function Documentation

## attach()

void casacore::SDSpWindowHandler::attach | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

attach to a MS, the handledCols and row arguments are ignored here

References casacore::Record().

## clearAll()

void casacore::SDSpWindowHandler::clearAll | ( |  | ) |

private

cleanup everything

Referenced by ~SDSpWindowHandler().

## clearRow()

void casacore::SDSpWindowHandler::clearRow | ( |  | ) |

private

clean up items related to the row

## fill()

void casacore::SDSpWindowHandler::fill | ( | const Record & | row,
|  | const Vector< Double > & | frequency,
|  | Double | refFrequency,
|  | Double | originalFreqDelt,
|  | Int | freqRefType )

fill - a circular buffer of last 100 spectral windows is checked

References casacore::Record().

## initAll()

void casacore::SDSpWindowHandler::initAll | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

private

initialize everything

References casacore::Record().

## initRow()

void casacore::SDSpWindowHandler::initRow | ( | Vector< Bool > & | handledCols,
|  | const Record & | row )

private

initialize the stuff dependent on the row

References casacore::Record().

## operator=()

SDSpWindowHandler & casacore::SDSpWindowHandler::operator= | ( | const SDSpWindowHandler & | other | ) |

assignment operator, uses copy semantics

References SDSpWindowHandler().

## resetRow()

void casacore::SDSpWindowHandler::resetRow | ( | const Record & |  | ) |

reset internals given indicated row, use the same MS; just resets the id pointer

References casacore::Record().

## spWindowId()

Int casacore::SDSpWindowHandler::spWindowId | ( |  | ) |

inline

get the current spWindow ID

Definition at line 114 of file SDSpWinHandler.h.

References rownr_p.

## Member Data Documentation

## bandwidField_p

Int casacore::SDSpWindowHandler::bandwidField_p

private

fields possibly mined from the SDFITS row floating point fields that we can't be certain of their type

Definition at line 145 of file SDSpWinHandler.h.

## bwCache_p

Vector<Double> casacore::SDSpWindowHandler::bwCache_p

private

Definition at line 118 of file SDSpWinHandler.h.

## bwCachePtr_p

Double * casacore::SDSpWindowHandler::bwCachePtr_p

private

Definition at line 119 of file SDSpWinHandler.h.

## cacheSize_p

uInt casacore::SDSpWindowHandler::cacheSize_p

private

the maximum number of rows in the cache - currently this is 1000

Definition at line 138 of file SDSpWinHandler.h.

## deleteItBw_p

Bool casacore::SDSpWindowHandler::deleteItBw_p

private

Definition at line 120 of file SDSpWinHandler.h.

## deleteItF0_p

Bool casacore::SDSpWindowHandler::deleteItF0_p

private

Definition at line 120 of file SDSpWinHandler.h.

## deleteItFN_p

Bool casacore::SDSpWindowHandler::deleteItFN_p

private

Definition at line 120 of file SDSpWinHandler.h.

## f0Cache_p

Vector<Double> casacore::SDSpWindowHandler::f0Cache_p

private

Definition at line 118 of file SDSpWinHandler.h.

## f0CachePtr_p

Double * casacore::SDSpWindowHandler::f0CachePtr_p

private

Definition at line 119 of file SDSpWinHandler.h.

## flagRowCol_p

TableColumn casacore::SDSpWindowHandler::flagRowCol_p

private

Definition at line 132 of file SDSpWinHandler.h.

## flagRowField_p

RORecordFieldPtr<Bool> casacore::SDSpWindowHandler::flagRowField_p

private

Definition at line 150 of file SDSpWinHandler.h.

## flagRowKey_p

RecordFieldPtr<Bool> casacore::SDSpWindowHandler::flagRowKey_p

private

Definition at line 121 of file SDSpWinHandler.h.

## fNCache_p

Vector<Double> casacore::SDSpWindowHandler::fNCache_p

private

Definition at line 118 of file SDSpWinHandler.h.

## fNCachePtr_p

Double* casacore::SDSpWindowHandler::fNCachePtr_p

private

Definition at line 119 of file SDSpWinHandler.h.

## freqGroupCol_p

TableColumn casacore::SDSpWindowHandler::freqGroupCol_p

private

Definition at line 132 of file SDSpWinHandler.h.

## freqGroupField_p

RORecordFieldPtr<Int> casacore::SDSpWindowHandler::freqGroupField_p

private

Definition at line 148 of file SDSpWinHandler.h.

## freqGroupKey_p

RecordFieldPtr<Int> casacore::SDSpWindowHandler::freqGroupKey_p

private

Definition at line 117 of file SDSpWinHandler.h.

## freqRefTypeCol_p

TableColumn casacore::SDSpWindowHandler::freqRefTypeCol_p

private

Definition at line 130 of file SDSpWinHandler.h.

## freqRefTypeKey_p

RecordFieldPtr<Int> casacore::SDSpWindowHandler::freqRefTypeKey_p

private

Definition at line 116 of file SDSpWinHandler.h.

## freqresCol_p

TableColumn casacore::SDSpWindowHandler::freqresCol_p

private

Definition at line 131 of file SDSpWinHandler.h.

## freqresField_p

Int casacore::SDSpWindowHandler::freqresField_p

private

Definition at line 145 of file SDSpWinHandler.h.

## idCol_p

TableColumn casacore::SDSpWindowHandler::idCol_p

private

the columns in the cache table

Definition at line 130 of file SDSpWinHandler.h.

## ifConvChainCol_p

TableColumn casacore::SDSpWindowHandler::ifConvChainCol_p

private

Definition at line 131 of file SDSpWinHandler.h.

## ifConvChainField_p

RORecordFieldPtr<Int> casacore::SDSpWindowHandler::ifConvChainField_p

private

Definition at line 148 of file SDSpWinHandler.h.

## ifConvChainKey_p

RecordFieldPtr<Int> casacore::SDSpWindowHandler::ifConvChainKey_p

private

Definition at line 116 of file SDSpWinHandler.h.

## index_p

ColumnsIndex* casacore::SDSpWindowHandler::index_p

private

the cache table is the one that is indexed

Definition at line 123 of file SDSpWinHandler.h.

## msSpWin_p

MSSpectralWindow* casacore::SDSpWindowHandler::msSpWin_p

private

Definition at line 126 of file SDSpWinHandler.h.

## msSpWinCols_p

MSSpWindowColumns* casacore::SDSpWindowHandler::msSpWinCols_p

private

Definition at line 127 of file SDSpWinHandler.h.

## nchanCol_p

TableColumn casacore::SDSpWindowHandler::nchanCol_p

private

Definition at line 130 of file SDSpWinHandler.h.

## nchanKey_p

RecordFieldPtr<Int> casacore::SDSpWindowHandler::nchanKey_p

private

Definition at line 116 of file SDSpWinHandler.h.

## netSidebandCol_p

TableColumn casacore::SDSpWindowHandler::netSidebandCol_p

private

Definition at line 132 of file SDSpWinHandler.h.

## netSidebandField_p

RORecordFieldPtr<Int> casacore::SDSpWindowHandler::netSidebandField_p

private

Definition at line 149 of file SDSpWinHandler.h.

## netSidebandKey_p

RecordFieldPtr<Int> casacore::SDSpWindowHandler::netSidebandKey_p

private

Definition at line 117 of file SDSpWinHandler.h.

## nextCacheRow_p

uInt casacore::SDSpWindowHandler::nextCacheRow_p

private

the next row number to use in the cached

Definition at line 135 of file SDSpWinHandler.h.

## rownr_p

Int casacore::SDSpWindowHandler::rownr_p

private

the current row number in the SPECTRAL_WINDOW table, i.e.

the id

Definition at line 141 of file SDSpWinHandler.h.

Referenced by spWindowId().

## spWinIdField_p

RORecordFieldPtr<Int> casacore::SDSpWindowHandler::spWinIdField_p

private

fields from a previous life as a MS

Definition at line 148 of file SDSpWinHandler.h.

## theCache_p

Table* casacore::SDSpWindowHandler::theCache_p

private

temporary table to hold the fields we are indexing on, can't index on array column

Definition at line 125 of file SDSpWinHandler.h.

The documentation for this class was generated from the following file:

- msfits/MSFits/SDSpWinHandler.h